Kodi and shaireplay conflict

This forum is for topics specific to the Raspberry Pi and Arch Linux ARM

Kodi and shaireplay conflict

Postby lsas » Tue Sep 08, 2015 5:57 am

Hello everyone,

i'm trying to do a system upgrade with pacman, but this is what i get:

[root@serverpi ~]# pacman -Syu
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
kodi-rbp and shairplay-git are in conflict

how i can solve?
lsas
 
Posts: 13
Joined: Wed Dec 05, 2012 4:33 pm

Re: Kodi and shaireplay conflict

Postby moonman » Tue Sep 08, 2015 6:32 am

pacman -S shairplay
replace shairplay-git
And do a full system upgrade
Pogoplug V4 | GoFlex Home | Raspberry Pi B 512 | CuBox-i4 Pro | ClearFog | BeagleBone Black | Odroid U2 | Odroid C1 | Odroid XU4
-----------------------------------------------------------------------------------------------------------------------
[armv5] Updated U-Boot | |[armv5] How to install my.pogoplug.com service | [armv5] NAND Rescue System
moonman
Developer
 
Posts: 3113
Joined: Sat Jan 15, 2011 3:36 am
Location: Calgary, Canada

Re: Kodi and shaireplay conflict

Postby lsas » Tue Sep 08, 2015 11:27 am

[root@serverpi ~]# pacman -S shairplay

error: could not prepare transaction
error: failed to commit transaction (conflicting files)

shairplay: /etc/shairplay/airport.key exist in filesystem
shairplay: /usr/bin/shairplay exist in filesystem
shairplay: /usr/include/shairplay/dnssd.h exist in filesystem
shairplay: /usr/include/shairplay/raop.h exist in filesystem
shairplay: /usr/lib/libshairplay.so exist in filesystem
shairplay: /usr/lib/libshairplay.so.0 exist in filesystem
shairplay: /usr/lib/libshairplay.so.0.0.0 exist in filesystem
shairplay: /usr/lib/systemd/system/shairplay.service exist in filesystem
lsas
 
Posts: 13
Joined: Wed Dec 05, 2012 4:33 pm

Re: Kodi and shaireplay conflict

Postby sdjf » Thu Sep 10, 2015 6:58 pm

Why not try "pacman -Su shairplay" instead of plain "pacman -S shairplay"? Or even pacman -Syu to make sure your system knows what the most recent version is of shairplay?
sdjf
 
Posts: 178
Joined: Wed May 08, 2013 1:55 pm

Re: Kodi and shaireplay conflict

Postby Kabbone » Thu Sep 10, 2015 9:43 pm

It seems, that these files don't belong to any package according to pacman. You can check it with:
Code: Select all
#pacman -Qo path/to/file
Kabbone
 
Posts: 85
Joined: Thu Jul 25, 2013 9:20 am

Re: Kodi and shaireplay conflict

Postby moonman » Fri Sep 11, 2015 1:35 am

sdjf wrote:Why not try "pacman -Su shairplay" instead of plain "pacman -S shairplay"? Or even pacman -Syu to make sure your system knows what the most recent version is of shairplay?


He has shairplay-git installed, while kodi depends on shairplay
Try
Pacman -Suy
Pacman -Rdd shairplay-git
Pacman -S shairplay

If last one doesn't go through then force it
Pacman -S shairplay --force
Pogoplug V4 | GoFlex Home | Raspberry Pi B 512 | CuBox-i4 Pro | ClearFog | BeagleBone Black | Odroid U2 | Odroid C1 | Odroid XU4
-----------------------------------------------------------------------------------------------------------------------
[armv5] Updated U-Boot | |[armv5] How to install my.pogoplug.com service | [armv5] NAND Rescue System
moonman
Developer
 
Posts: 3113
Joined: Sat Jan 15, 2011 3:36 am
Location: Calgary, Canada


Return to Raspberry Pi

Who is online

Users browsing this forum: No registered users and 5 guests